LN(1)

NOME
ln - cria um link simbólico entre arquivos

SINOPSE
ln [OPÇÃO]... [-T] ALVO NOME_LINK
ln [OPÇÃO]... ALVO
ln [OPÇÃO]... ALVO... DIRETÓRIO
ln [OPÇÃO]... -t DIRETÓRIO ALVO...

DESCRIÇÃO

Na 1ª forma, cria um link para ALVO com o nome NOME_LINK. Na 2ª forma, cria um link para ALVO no diretório atual. Nas 3ª e 4ª formas, cria links para cada ALVO em DIRETÓRIO. Cria links físicos por padrão; links simbólicos com --symbolic. Por padrão, cada destino (nome do novo link) deve existir ainda. Ao criar links físicos, cada ALVO deve existir. Links simbólicos podem conter texto arbitrário; se resolvido posteriormente, um link relativo é interpretado em relação a seu diretório pai.

Argumentos obrigatórios para opções longas também o são para opções curtas.

--backup[=CONTROLE]
    faz uma cópia de segurança de cada arquivo de destino já existente

-b  como --backup, mas não aceita argumentos

-d, -F, --directory
    allow the superuser to attempt to hard link directories (this will probably fail due to system restrictions, even for the superuser)

-f, --force
    remove arquivos de destino existentes

-i, --interactive
    pergunta se é para remover destinos

-L, --logical
    interpreta ALVOs que são links simbólicos

-n, --no-dereference
    trata NOME_LINK como arquivo normal, se ele for um link simbólico para um diretório

-P, --physical
    cria links físicos diretamente para simbólicos

-r, --relative
    com -s, cria links relativos à localização do link

-s, --symbolic
    cria links simbólicos em vez de físicos

-S, --suffix=SUFIXO
    sobrescreve o sufixo comum de cópia de segurança

-t, --target-directory=DIRETÓRIO
    especifica o DIRETÓRIO onde criar os links

-T, --no-target-directory
    trata NOME_LINK sempre como arquivo normal

-v, --verbose
    emite o nome de cada arquivo cujo link foi criado

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

O sufixo de cópia de segurança é "~", a não ser que esteja definido --suffix ou SIMPLE_BACKUP_SUFFIX. O método de controle de versão pode ser definido com --backup ou a variável de ambiente VERSION_CONTROL. Os valores possíveis são:

none, off
    nunca faz cópias de segurança (mesmo se --backup for especificado)

numbered, t
    faz cópias de segurança numeradas

existing, nil
    numeradas se já existirem cópias de segurança numeradas, simples em caso contrário

simple, never
    sempre faz cópias de segurança simples

Usar -s ignora -L e -P. Do contrário, a última opção especificada controla o comportamento quando ALVO for um link simbólico, tem como padrão -P.

AUTOR
Escrito por Mike Parker e David MacKenzie.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2024 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
link(2), symlink(2)

Documentação completa <https://www.gnu.org/software/coreutils/ln>
ou disponível localmente via: info '(coreutils) ln invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Ricardo C.O.Freitas <english.quest@best-service.com> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).